const MessageManager = require("../MessageManager")
const PagerDevice = require("./Device")
const Str = require('@supercharge/strings')

class TETRA_MXP600 extends PagerDevice {
  constructor () {
    super()
    this.duplex = true
    this.name = "mxp600"
  }
  RandID() {
    return `MXP${ Str.random(8) }`
  }
  async formatTX(msg) {
    msg.id = this.RandID()
    await MessageManager.BindMsg(msg)
    // return msg
  }
}
module.exports = TETRA_MXP600